This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 188349 - Occasional CPU eating in evolution-data-server
Occasional CPU eating in evolution-data-server
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-08 04:17 EDT by Gen Zhang
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 08:23:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 273286 None None None Never

  None (edit)
Description Gen Zhang 2006-04-08 04:17:52 EDT
Description of problem:
Occasionaly, EDS will eat CPU for no apparent reason. It does still appear to be
responsive to interactions, however.


Version-Release number of selected component (if applicable):
evolution-data-server-1.6.0-1

How reproducible:
Difficult; it happens on its own on the order of a couple of times a day or so.
I just wait until it does happen, and attach gdb to it.

Steps to Reproduce:
1. Start evolution.
2. Wait.
3. When notice load being about 1.5 for the last hour... attach gdb to the EDS
  
Actual results:
In gdb:

[Switching to Thread 46912496299152 (LWP 6126)]
0x00000031587994a0 in xmlStrlen__internal_alias (
    str=0x1c405a0
"BEGIN:VCARD\r\nVERSION:3.0\r\nUID:uid=nss11\\,ou=people\\,o=University of
Cambridge\\,dc=cam\\,dc=ac\\,dc
=uk\r\nEMAIL;TYPE=OTHER:nss11@cam.ac.uk\r\nTEL;TYPE=WORK;TYPE=VOICE:34669\r\nLABEL;TYPE=WORK:Arup
305\r\nNICKNAM"...)
    at xmlstring.c:426
426         while (*str != 0) { /* non input consuming */
(gdb) bt
#0  0x00000031587994a0 in xmlStrlen__internal_alias (
    str=0x1c405a0
"BEGIN:VCARD\r\nVERSION:3.0\r\nUID:uid=nss11\\,ou=people\\,o=University of
Cambridge\\,dc=cam\\,dc=ac\\,dc=uk\r\nEMAIL;TYPE=OTHER:nss11@cam.ac.uk\r\nTEL;TYPE=WORK;TYPE=VOICE:34669\r\nLABEL;TYPE=WORK:Arup
305\r\nNICKNAM"...)
    at xmlstring.c:426
#1  0x0000003158799cd7 in xmlStrncat__internal_alias (
    cur=0x1c405a0
"BEGIN:VCARD\r\nVERSION:3.0\r\nUID:uid=nss11\\,ou=people\\,o=University of
Cambridge\\,dc=cam\\,dc=ac\\,dc=uk\r\nEMAIL;TYPE=OTHER:nss11@cam.ac.uk\r\nTEL;TYPE=WORK;TYPE=VOICE:34669\r\nLABEL;TYPE=WORK:Arup
305\r\nNICKNAM"...,
    add=0x1ce7ef0 "\r", len=1) at xmlstring.c:459
#2  0x000000315874fec7 in xmlNodeAddContentLen__internal_alias (cur=0x12a8f20,
content=0x1ce7ef0 "\r", len=1)
    at tree.c:5331
#3  0x000000315875034e in xmlAddNextSibling__internal_alias (cur=0x12a8f20,
elem=0x12a8fa0) at tree.c:2848
#4  0x000000315875063f in xmlStringGetNodeList__internal_alias (doc=0x0,
value=Variable "value" is not available.
) at tree.c:1535
#5  0x000000315875091a in xmlNodeSetContent__internal_alias (cur=0x1b14ed0,
    content=0x18dd600
"BEGIN:VCARD
\nVERSION:3.0
\nUID:uid=nss11\\,ou=people\\,o=University of
Cambridge\\,dc=cam\\,dc=ac\\,dc=uk
\nEMAIL;TYPE=OTHER:nss11@cam.ac.uk
\nTEL;TYPE=WORK;TYPE=VOICE:34669
\nLABEL;TYPE=WO"...)
    at tree.c:5155
#6  0x000000315ec32ae5 in foreach_save_func (key=Variable "key" is not available.
) at e-xml-hash-utils.c:111
#7  0x0000003dbec1b12e in IA__g_hash_table_foreach (hash_table=0x56c240,
func=0x315ec32a80 <foreach_save_func>,
    user_data=0x7fffffdb83f0) at ghash.c:614
#8  0x000000315ec329da in e_xml_from_hash (hash=0x56c240,
type=E_XML_HASH_TYPE_OBJECT_UID,
    root_name=0x315ecbbd3a "xmlhash") at e-xml-hash-utils.c:142
#9  0x000000315ec32a28 in e_xmlhash_write (hash=0x597eb0) at e-xml-hash-utils.c:348
#10 0x000000315ec24d2c in e_file_cache_remove_object (cache=0x608c90,
key=0x1c8a500 " ") at e-file-cache.c:430
#11 0x000000315ec24fbb in e_file_cache_clean (cache=0x608c90) at e-file-cache.c:267
#12 0x00002aaaaebe48f4 in generate_cache_handler (op=0x1296a80, res=0x129d670)
at e-book-backend-ldap.c:4194
#13 0x00002aaaaebe402a in poll_ldap (bl=0x608cf0) at e-book-backend-ldap.c:3855
#14 0x0000003dbec2761b in g_timeout_dispatch (source=dwarf2_read_address:
Corrupted DWARF expression.
) at gmain.c:3292
#15 0x0000003dbec26f7a in IA__g_main_context_dispatch (context=0x51b8e0) at
gmain.c:1916
#16 0x0000003dbec2a105 in g_main_context_iterate (context=0x51b8e0, block=1,
dispatch=1, self=Variable "self" is not available.
) at gmain.c:2547
#17 0x0000003dbec2a42d in IA__g_main_loop_run (loop=0x53fc80) at gmain.c:2751
#18 0x0000003dbfd2d2c6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#19 0x000000000040412e in main (argc=3, argv=Variable "argv" is not available.
) at server.c:400
#20 0x0000003153c1d084 in __libc_start_main (main=0x403cb0 <main>, argc=3,
ubp_av=0x7fffffdb8888, init=Variable "init" is not available.
)
    at libc-start.c:231
#21 0x0000000000402e99 in _start ()
#22 0x00007fffffdb8878 in ?? ()
#23 0x0000000000000000 in ?? ()
Comment 1 Gen Zhang 2006-04-12 08:23:22 EDT
This appears to be a known problem upstream.

Note You need to log in before you can comment on or make changes to this bug.